Bug 253423 - mail/fetchmail: mail/fetchmailconf: Update to 6.4.16
Summary: mail/fetchmail: mail/fetchmailconf: Update to 6.4.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-02-10 23:56 UTC by Corey Halpin
Modified: 2021-03-11 22:20 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (855 bytes, patch)
2021-02-10 23:56 UTC, Corey Halpin
chalpin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corey Halpin 2021-02-10 23:56:39 UTC
Created attachment 222348 [details]
Proposed patch

After applying the attached, mail/fetchmail passes 'poudriere testport' on both i386 and amd64 under 11.4 and 12.2 for the following configurations:
  - Default settings 
  - Default settings, build as non-root
  - ssl=base, GSSAPI_MIT
  - ssl=base, GSSAPI_NONE
  - ssl=openssl
  - ssl=openssl with SSL2 and SSL3 disabled
  - ssl=openssl, GSSAPI_NONE
  - ssl=libressl
  - ssl=libressl, GSSAPI_NONE

mail/fetchmailconf passes 'poudriere testport' on both i386 and amd64 under 11.4 and 12.2 with default settings.

Portlint has no new complaints. Built package works in my testing when installed.
Comment 1 Automation User 2021-02-11 00:17:44 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/254574624
Comment 2 Neel Chauhan freebsd_committer 2021-02-11 02:13:45 UTC
Committed!
Comment 3 commit-hook freebsd_committer 2021-02-11 02:14:39 UTC
A commit references this bug:

Author: nc
Date: Thu Feb 11 02:13:42 UTC 2021
New revision: 564925
URL: https://svnweb.freebsd.org/changeset/ports/564925

Log:
  mail/fetchmail and mail/fetchmailconf: Update to 6.4.16

  PR:		253423
  Submitted by:	Corey Halpin <chalpin AT cs.wisc DOT edu> (maintainer)

Changes:
  head/mail/fetchmail/Makefile
  head/mail/fetchmail/distinfo
Comment 4 commit-hook freebsd_committer 2021-03-11 22:20:53 UTC
A commit references this bug:

Author: mandree
Date: Thu Mar 11 22:20:22 UTC 2021
New revision: 568139
URL: https://svnweb.freebsd.org/changeset/ports/568139

Log:
  MFH: r564925 r568138

  mail/fetchmail and mail/fetchmailconf: Update to 6.4.16

  PR:		253423
  Submitted by:	Corey Halpin <chalpin AT cs.wisc DOT edu> (maintainer)

  mail/fetchmail: fetchmailconf: update to 6.4.17 (minor fixes, Japanese translation)

  # BUG FIXES
  * IMAP client: plus memory leaks for username and password when trying
    the LOGIN (password-based) authentication and encountered a timeout situation.
  * dist-tools/getstats.py: also counts lines in *.py files [for NEWS file]

  # CHANGES
  * fetchmail.man: now mentions that you may need to add --ssl when specifying
    a TLS-wrapped port.
  * fetchmailconf: --version (-V) now prints the Python version in use.

  # TRANSLATION UPDATE
  * ja:    Takeshi Hamasaki [Japanese]

  PR:		254208
  Approved by:	Corey Halpin (maintainer)

  ChangeLog: https://gitlab.com/fetchmail/fetchmail/-/blob/66ae17e72ca9f1e92b7690b0d846fa8df603e7c3/NEWS#L85

Changes:
_U  branches/2021Q1/
  branches/2021Q1/mail/fetchmail/Makefile
  branches/2021Q1/mail/fetchmail/distinfo